uvx:
  CLASS: AA_UV
  VERSION: X.Y.Z
  hdf5_type: root

###############
# Context group
uvx/context:
  description: Contextual information about observation.

#################
# Antennas group
uvx/antennas:
  description: Antenna array spatial coordinate details.
  hdf5_type: group
uvx/antennas/attrs:
  description: Antenna array metadata, including array origin
  hdf5_type: group
uvx/antennas/attrs/array_origin_geocentric:
  description: Array center in WGS84 ECEF coordinates
  dims:
    - spatial
  hdf5_type: dataset
uvx/antennas/attrs/array_origin_geodetic:
  description: Geodetic array center in Longitude, Latitude, Height
  dims:
    - spatial
  hdf5_type: dataset
uvx/antennas/attrs/flags:
  description: Data quality issue flag, per antenna.
  dims:
    - antenna
  hdf5_type: dataset
uvx/antennas/attrs/identifier:
  description: Antenna name/identifier
  dims:
    - antenna
  hdf5_type: dataset
uvx/antennas/attrs/array_rotation_angle:
  description: Array rotation angle, rotated clockwise from North (0 degrees).
  units: deg
  hdf5_type: dataset
uvx/antennas/coords:
  description: Data coordinates for antenna data
  hdf5_type: group
uvx/antennas/coords/antenna:
  description: Antenna index (numerical, 0-based)
  dims:
    - antenna
  hdf5_type: dataset
uvx/antennas/coords/spatial:
  description: Spatial (X, Y, Z) coordinate
  dims:
    - spatial
  hdf5_type: dataset
uvx/antennas/ecef:
  description: Antenna WGS84 locations in Earth-centered, Earth-fixed (ECEF) coordinate system.  Note array center (origin) position (X0, Y0, Z0) has been subtracted.
  dims:
    - antenna
    - spatial
  units: m
  hdf5_type: dataset
uvx/antennas/enu:
  description: Antenna locations in local East-North-Up coordinates
  dims:
    - antenna
    - spatial
  units: m
  hdf5_type: dataset

####################
# Visibilities group
uvx/visibilities:
  description: Visibility data. (inter-antenna cross-correlations).
  hdf5_type: group
uvx/visibilities/attrs:
  description: Additional visibility metadata.
  hdf5_type: group
uvx/visibilities/coords:
  description: Data coordinates for visibility data
  hdf5_type: group
uvx/visibilities/coords/baseline:
  description: Antenna baseline coordinate
  hdf5_type: group
uvx/visibilities/coords/baseline/ant1:
  description: Baseline antenna 1 index
  hdf5_type: dataset
  dims:
    - antenna
uvx/visibilities/coords/baseline/ant2:
  description: Baseline antenna 2 index
  hdf5_type: dataset
  dims:
    - antenna
uvx/visibilities/coords/frequency:
  description: Frequency at channel center
  hdf5_type: dataset
  dims:
    - frequency
  units: Hz
uvx/visibilities/coords/polarization:
  description: Polarization products coordinate
  hdf5_type: dataset
  dims:
    - polarization
uvx/visibilities/coords/time:
  description: Time coordinate
  hdf5_type: group
uvx/visibilities/coords/time/lst:
  description: Local apparent sidereal time
  hdf5_type: dataset
  dims:
    - time
  units: hr
uvx/visibilities/coords/time/mjd:
  description: Modified Julian Date
  hdf5_type: dataset
  dims:
    - time
  format: mjd
uvx/visibilities/coords/time/unix:
  description: "Unix timestamp (seconds since 1970-01-01 00:00:00 UTC)"
  hdf5_type: dataset
  dims:
    - time
  format: unix
uvx/visibilities/data:
  description: Visibility dataset / correlation tensor
  dims:
    - time
    - frequency
    - baseline
    - polarization
  hdf5_type: dataset

###############
# Phase center
uvx/phase_center:
  description: Array phase center / pointing information.
  hdf5_type: group
uvx/phase_center/ra:
  description: Right Ascension (J2000) of phase center.
  hdf5_type: dataset
  units: hourangle
uvx/phase_center/dec:
  description: Declination (J2000) of phase center.
  hdf5_type: dataset
  units: degrees

###############
# Provenance
uvx/provenance:
  description: History and data provenance information.
  hdf5_type: group
uvx/provenance/ska_ost_low_uv_config:
  description: Software versions used in file generation.
  hdf5_type: group
uvx/provenance/input_files:
  description: Input files used in file generation.
  hdf5_type: group
uvx/provenance/input_metadata:
  description: Metadata from input files used in file generation.
  hdf5_type: group
uvx/provenance/station_config:
  description: Station data capture firmware/software setup and configuration information.
  hdf5_type: group
